corda / net.corda.flows / NotaryFlow / Service / TransactionParts

# TransactionParts

`data class TransactionParts`

The minimum amount of information needed to notarise a transaction. Note that this does not include any sensitive transaction details.

### Constructors

<init> | `TransactionParts(id: SecureHash, inputs: List<StateRef>, timestamp: Timestamp?)` The minimum amount of information needed to notarise a transaction. Note that this does not include any sensitive transaction details.

### Properties

id | `val id: SecureHash`
inputs | `val inputs: List<StateRef>`
timestamp | `val timestamp: Timestamp?`